Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# ObjectHandles Class Reference

Inherits pandac::PandaModules::NodePath, and direct::showbase::DirectObject::DirectObject.

List of all members.

## Public Member Functions
def | __init__
def | activate
def | coaModeColor
def | createGuideLines
def | createObjectHandleLines
def | deactivate
def | disabledModeColor
def | disableHandle
def | disableHandles
def | enableHandle
def | enableHandles
def | getAxisIntersectPt
def | getMouseIntersectPt
def | getScalingFactor
def | getWidgetIntersectPt
def | growToFit
def | hideAllHandles
def | hideGuides
def | hideWidget
def | manipModeColor
def | multiplyScalingFactorBy
def | setDirectScalingFactor
def | setScalingFactor
def | showAllHandles
def | showGuides
def | showHandle
def | showWidget
def | showWidgetIfActive
def | toggleWidget
def | transferObjectHandlesScale
## Public Attributes
| directScalingFactor
| fActive
| guideLines
| hitPt
| ohScalingFactor
| scalingNode
| xDisc
| xDiscCollision
| xDiscGroup
| xHandles
| xPost
| xPostCollision
| xPostGroup
| xRing
| xRingCollision
| xRingGroup
| xScale
| xScaleCollision
| xScaleGroup
| yDisc
| yDiscCollision
| yDiscGroup
| yHandles
| yPost
| yPostCollision
| yPostGroup
| yRing
| yRingCollision
| yRingGroup
| yScale
| yScaleCollision
| yScaleGroup
| zDisc
| zDiscCollision
| zDiscGroup
| zHandles
| zPost
| zPostCollision
| zPostGroup
| zRing
| zRingCollision
| zRingGroup
| zScale
| zScaleCollision
| zScaleGroup

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | name = `'objectHandles'`
| ) |  |

## Member Function Documentation

def activate | ( |  | self | ) |

def coaModeColor | ( |  | self | ) |

def createGuideLines | ( |  | self | ) |

def createObjectHandleLines | ( |  | self | ) |

def deactivate | ( |  | self | ) |

def disabledModeColor | ( |  | self | ) |

def disableHandle | ( |  | self,
|  |  | handle
| ) |  |

def disableHandles | ( |  | self,
|  |  | handles
| ) |  |

def enableHandle | ( |  | self,
|  |  | handle
| ) |  |

def enableHandles | ( |  | self,
|  |  | handles
| ) |  |

def getAxisIntersectPt | ( |  | self,
|  |  | axis
| ) |  |

def getMouseIntersectPt | ( |  | self | ) |

def getScalingFactor | ( |  | self | ) |

def getWidgetIntersectPt | ( |  | self,
|  |  | nodePath,
|  |  | plane
| ) |  |

def growToFit | ( |  | self | ) |

def hideAllHandles | ( |  | self | ) |

def hideGuides | ( |  | self | ) |

def hideWidget | ( |  | self | ) |

def manipModeColor | ( |  | self | ) |

def multiplyScalingFactorBy | ( |  | self,
|  |  | factor
| ) |  |

def setDirectScalingFactor | ( |  | self,
|  |  | factor
| ) |  |

def setScalingFactor | ( |  | self,
|  |  | scaleFactor
| ) |  |

def showAllHandles | ( |  | self | ) |

def showGuides | ( |  | self | ) |

def showHandle | ( |  | self,
|  |  | handle
| ) |  |

def showWidget | ( |  | self | ) |

def showWidgetIfActive | ( |  | self | ) |

def toggleWidget | ( |  | self | ) |

def transferObjectHandlesScale | ( |  | self | ) |

## Member Data Documentation

directScalingFactor

fActive

guideLines

hitPt

ohScalingFactor

scalingNode

xDisc

xDiscCollision

xDiscGroup

xHandles

xPost

xPostCollision

xPostGroup

xRing

xRingCollision

xRingGroup

xScale

xScaleCollision

xScaleGroup

yDisc

yDiscCollision

yDiscGroup

yHandles

yPost

yPostCollision

yPostGroup

yRing

yRingCollision

yRingGroup

yScale

yScaleCollision

yScaleGroup

zDisc

zDiscCollision

zDiscGroup

zHandles

zPost

zPostCollision

zPostGroup

zRing

zRingCollision

zRingGroup

zScale

zScaleCollision

zScaleGroup

All Classes Namespaces Functions Variables Enumerations Enumerator Properties